%define pypi_name	sortedcontainers

Name:           python-%{pypi_name}
Version:        2.3.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Sorted container data types
License:        ASL2.0
URL:            hhttps://pypi.org/project/sortedcontainers/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
SortedContainers is an Apache2 licensed containers library, written in
pure-Python, and fast as C-extensions.

%package -n     python3-%{pypi_name}
Summary:        Sorted container data types
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
SortedContainers is an Apache2 licensed containers library, written in
pure-Python, and fast as C-extensions.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Dec 13 2020 guillomovitch <guillomovitch> 2.3.0-1.mga8
+ Revision: 1656487
- new version 2.3.0

* Sun Feb 16 2020 umeabot <umeabot> 2.1.0-3.mga8
+ Revision: 1533717
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 2.1.0-2.mga8
+ Revision: 1445339
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 2.1.0-1.mga7
+ Revision: 1393881
- new version 2.1.0

* Thu Jan 10 2019 daviddavid <daviddavid> 1.5.10-3.mga7
+ Revision: 1354282
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.5.10-2.mga7
+ Revision: 1290140
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 kekepower <kekepower> 1.5.10-1.mga7
+ Revision: 1221175
- Update to version 1.5.10
- Renamed python-sortedcontainers to python2-sortedcontainers
- Use python_provide

* Sat Sep 30 2017 guillomovitch <guillomovitch> 1.5.7-1.mga7
+ Revision: 1161882
- new version 1.5.7

* Sat Aug 05 2017 pterjan <pterjan> 0.9.2-4.mga7
+ Revision: 1135645
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.9.2-3.mga6
+ Revision: 970949
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.9.2-2.mga6
+ Revision: 888872
- rebuild for python 3.5

* Tue Dec 02 2014 joequant <joequant> 0.9.2-1.mga5
+ Revision: 800285
- imported package python-sortedcontainers

